<?php

// $Id: admin.inc,v 1.2 2009/11/25 23:34:54 nickurbits Exp $

/**
 * Form for configuration options
 */
function licensing_admin_config() {
  $form = array(
    'secretkeyword' => array(
      '#title' => t('Secret keyword'),
      '#description' => t('This keyword is used as a part of the algorithm to create license keys. It is important to keep this secret and change it often to maintain the security of your licensing system. It is not important to remember what the key is after you have entered it, so don\'t worry about keeping a record of it, this is merely a way to improve the randomness of the license generation system.'),
      '#type' => 'password',
      '#default_value' => variable_get('licensing_secretkeyword', md5($_SERVER['SCRIPT_FILENAME'] . rand(12850, 1000000))),
    ),
    'submit' => array(
      '#type' => 'submit',
      '#value' => t('Save'),
    ),
  );
  return $form;
}

/**
 * Validation for configuration form
 */
function licensing_admin_config_validate($form, &$form_state) {
  if (!$form_state['values']['secretkeyword']) {
    form_set_error('secretkeyword', 'You must enter a secret keyword.');
  }
}

/**
 * Submit function for configuration form
 */
function licensing_admin_config_submit($form, &$form_state) {
  variable_set('licensing_secretkeyword', md5($form_state['values']['secretkeyword']));
}
